## linux-UFRII-drv-v580-m17n-08.tar.gz

=== Makefile ===
#################################################
# LIPS IV Driver for PDAPI               #
#   Integrated Makefile                  #
#################################################

### Macros ###
#DRIVERDIR = driver
FILTERDIR  = pstoufr2cpca
CPCADIR    = cpca
CNGPLPDIR  = cngplp
PDFTOCPCADIR  = pdftocpca

SRCDIRS =\
	$(DRIVERDIR)\
	$(CPCADIR) \
	$(CNGPLPDIR) \
	$(PDFTOCPCADIR)

### Make modules ###
all:
	for dir in $(SRCDIRS); do\
		echo Making modules $$dir ...;\
		(cd $$dir; make) || exit 1;\
	done
	echo Make completed.

### Install modules ###
install:
	for dir in $(SRCDIRS); do\
		echo Installing modules $$dir ...;\
		(cd $$dir; make install) || exit 1;\
	done

### Uninstall modules ###
uninstall:
	for dir in $(SRCDIRS); do\
		echo Uninstalling modules $$dir ...;\
		(cd $$dir; make uninstall) || exit 1;\
	done

### Clean-up objects files ###
clean:
	for dir in $(SRCDIRS); do\
		echo Cleaning $$dir ...;\
		(cd $$dir; make clean) || exit 1;\
	done

### Clean-up objects and configure files ###
distclean:
	for dir in $(SRCDIRS); do\
		echo distclean $$dir ...;\
		(cd $$dir; make distclean) || exit 1;\
	done
