=== changelog ===
cnrdrvcups-lb (5.80-1.05) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@mail.canon>  Fri, 19 May 2023 00:00:00 +0900
