=== control ===
Source: cnrdrvcups-lb
Section: net
Priority: optional
Maintainer: CANON INC. <sup-debian@mail.canon>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.1

Package: cnrdrvcups-ufr2-uk
Architecture: i386 amd64 arm64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, cups | cupsys, libcups2 | libcupsys2 (>= 1.2.7), libcupsimage2, cups-bsd, libgtk-3-0, libjpeg62, libjbig0, libgcrypt20 | libbeecrypt7, lsb-release
Provides: cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk,
 cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk,
 cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk,
 cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk, cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk, cnrcupsmf540zk,
 cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk, cnrcupsiprc710zk, cnrcupsir2625zk, cnrcupsir2635zk, cnrcupsiradv4725zk,
 cnrcupsiradv4745zk, cnrcupsiradv6000zk, cnrcupsiradv6755zk, cnrcupsiradv6780zk, cnrcupsiradv8705zk, cnrcupsiradv8786zk, cnrcupsiradvc3720zk, cnrcupsiradvc3725zk, cnrcupsiradvc5735zk,
 cnrcupsiradvc5750zk, cnrcupsiradvc7765zk, cnrcupsiradvc7780zk, cnrcupsirc3120lzk, cnrcupsirc3120zk, cnrcupsirc3125zk, cnrcupslbp222zk, cnrcupslbp223zk, cnrcupslbp225zk,
 cnrcupslbp226zk, cnrcupslbp227zk, cnrcupslbp228zk, cnrcupsx1643pzk, cnrcupsiprc170zk, cnrcupsir2425zk, cnrcupsiradv527zk, cnrcupsiradv617zk, cnrcupsiradv717zk, cnrcupsiradvc257zk,
 cnrcupsiradvc477zk, cnrcupslbp1127czk, cnrcupslbp1238zk, cnrcupsmf1127czk, cnrcupsmf1238zk, cnrcupsir1643i2zk, cnrcupsiradv6860zk, cnrcupsiradvc3822zk, cnrcupsiradvc3826zk,
 cnrcupsiradvc3830zk, cnrcupsiradvc3835zk, cnrcupsiradvc568zk, cnrcupsiradvc5840zk, cnrcupsiradvc5860zk, cnrcupsirc1533izk, cnrcupsirc1538izk, cnrcupsirc3130lzk, cnrcupsirc3222lzk,
 cnrcupsirc3222zk, cnrcupsirc3226zk, cnrcupslbp12382zk, cnrcupslbp1533czk, cnrcupslbp1538czk, cnrcupslbp233zk, cnrcupslbp236zk, cnrcupslbp237zk, cnrcupslbp631czk, cnrcupslbp632czk,
 cnrcupslbp633czk, cnrcupslbp720czk, cnrcupslbp722czk, cnrcupsmf12382zk, cnrcupsmf1538czk, cnrcupsmf1643izk, cnrcupsmf450zk, cnrcupsmf550zk, cnrcupsmf650czk, cnrcupsmf830czk,
 cnrcupsmf832czk
Conflicts: cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk,
 cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk,
 cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk,
 cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk, cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk, cnrcupsmf540zk,
 cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk, cnrcupsiprc710zk, cnrcupsir2625zk, cnrcupsir2635zk, cnrcupsiradv4725zk,
 cnrcupsiradv4745zk, cnrcupsiradv6000zk, cnrcupsiradv6755zk, cnrcupsiradv6780zk, cnrcupsiradv8705zk, cnrcupsiradv8786zk, cnrcupsiradvc3720zk, cnrcupsiradvc3725zk, cnrcupsiradvc5735zk,
 cnrcupsiradvc5750zk, cnrcupsiradvc7765zk, cnrcupsiradvc7780zk, cnrcupsirc3120lzk, cnrcupsirc3120zk, cnrcupsirc3125zk, cnrcupslbp222zk, cnrcupslbp223zk, cnrcupslbp225zk,
 cnrcupslbp226zk, cnrcupslbp227zk, cnrcupslbp228zk, cnrcupsx1643pzk, cnrcupsiprc170zk, cnrcupsir2425zk, cnrcupsiradv527zk, cnrcupsiradv617zk, cnrcupsiradv717zk, cnrcupsiradvc257zk,
 cnrcupsiradvc477zk, cnrcupslbp1127czk, cnrcupslbp1238zk, cnrcupsmf1127czk, cnrcupsmf1238zk, cnrcupsir1643i2zk, cnrcupsiradv6860zk, cnrcupsiradvc3822zk, cnrcupsiradvc3826zk,
 cnrcupsiradvc3830zk, cnrcupsiradvc3835zk, cnrcupsiradvc568zk, cnrcupsiradvc5840zk, cnrcupsiradvc5860zk, cnrcupsirc1533izk, cnrcupsirc1538izk, cnrcupsirc3130lzk, cnrcupsirc3222lzk,
 cnrcupsirc3222zk, cnrcupsirc3226zk, cnrcupslbp12382zk, cnrcupslbp1533czk, cnrcupslbp1538czk, cnrcupslbp233zk, cnrcupslbp236zk, cnrcupslbp237zk, cnrcupslbp631czk, cnrcupslbp632czk,
 cnrcupslbp633czk, cnrcupslbp720czk, cnrcupslbp722czk, cnrcupsmf12382zk, cnrcupsmf1538czk, cnrcupsmf1643izk, cnrcupsmf450zk, cnrcupsmf550zk, cnrcupsmf650czk, cnrcupsmf830czk,
 cnrcupsmf832czk
Replaces: cnrdrvcups-ufr2-us, cnrdrvcups-lipslx,
 cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk,
 cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk,
 cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk,
 cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk, cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk, cnrcupsmf540zk,
 cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk, cnrcupsiprc710zk, cnrcupsir2625zk, cnrcupsir2635zk, cnrcupsiradv4725zk,
 cnrcupsiradv4745zk, cnrcupsiradv6000zk, cnrcupsiradv6755zk, cnrcupsiradv6780zk, cnrcupsiradv8705zk, cnrcupsiradv8786zk, cnrcupsiradvc3720zk, cnrcupsiradvc3725zk, cnrcupsiradvc5735zk,
 cnrcupsiradvc5750zk, cnrcupsiradvc7765zk, cnrcupsiradvc7780zk, cnrcupsirc3120lzk, cnrcupsirc3120zk, cnrcupsirc3125zk, cnrcupslbp222zk, cnrcupslbp223zk, cnrcupslbp225zk,
 cnrcupslbp226zk, cnrcupslbp227zk, cnrcupslbp228zk, cnrcupsx1643pzk, cnrcupsiprc170zk, cnrcupsir2425zk, cnrcupsiradv527zk, cnrcupsiradv617zk, cnrcupsiradv717zk, cnrcupsiradvc257zk,
 cnrcupsiradvc477zk, cnrcupslbp1127czk, cnrcupslbp1238zk, cnrcupsmf1127czk, cnrcupsmf1238zk, cnrcupsir1643i2zk, cnrcupsiradv6860zk, cnrcupsiradvc3822zk, cnrcupsiradvc3826zk,
 cnrcupsiradvc3830zk, cnrcupsiradvc3835zk, cnrcupsiradvc568zk, cnrcupsiradvc5840zk, cnrcupsiradvc5860zk, cnrcupsirc1533izk, cnrcupsirc1538izk, cnrcupsirc3130lzk, cnrcupsirc3222lzk,
 cnrcupsirc3222zk, cnrcupsirc3226zk, cnrcupslbp12382zk, cnrcupslbp1533czk, cnrcupslbp1538czk, cnrcupslbp233zk, cnrcupslbp236zk, cnrcupslbp237zk, cnrcupslbp631czk, cnrcupslbp632czk,
 cnrcupslbp633czk, cnrcupslbp720czk, cnrcupslbp722czk, cnrcupsmf12382zk, cnrcupsmf1538czk, cnrcupsmf1643izk, cnrcupsmf450zk, cnrcupsmf550zk, cnrcupsmf650czk, cnrcupsmf830czk,
 cnrcupsmf832czk
Description: Canon UFR2 Printer Driver for Linux
 Canon UFR2 Printer Driver for Linux.
 This UFR2 printer driver provides printing functions for Canon LBP/iR
 printers operating under the CUPS (Common UNIX Printing System) environment.

Package: cnrdrvcups-ufr2-us
Architecture: i386 amd64 arm64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, cups | cupsys, libcups2 | libcupsys2 (>= 1.2.7), libcupsimage2, cups-bsd, libgtk-3-0, libjpeg62, libjbig0, libgcrypt20 | libbeecrypt7, zlib1g, lsb-release
Provides: cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs,
 cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs,
 cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs, cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs,
 cnrcupslbp323zs, cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs, cnrcupsiprc710zs,
 cnrcupsiradv4725zs, cnrcupsiradv4745zs, cnrcupsiradv6000zs, cnrcupsiradv6755zs, cnrcupsiradv6780zs, cnrcupsiradv8705zs, cnrcupsiradv8786zs, cnrcupsiradvc3725zs, cnrcupsiradvc5735zs,
 cnrcupsiradvc5750zs, cnrcupsiradvc7765zs, cnrcupsiradvc7780zs, cnrcupslbp223zs, cnrcupslbp226zs, cnrcupslbp227zs, cnrcupslbp228zs, cnrcupsiprc170zs, cnrcupsiradv527zs,
 cnrcupsiradv617zs, cnrcupsiradv717zs, cnrcupsiradvc257zs, cnrcupsiradvc477zs, cnrcupslbp1127czs, cnrcupslbp1238zs, cnrcupsmf1127czs, cnrcupsmf1238zs, cnrcupsir1643i2zs,
 cnrcupsiradv6860zs, cnrcupsiradvc3826zs, cnrcupsiradvc3830zs, cnrcupsiradvc3835zs, cnrcupsiradvc568zs, cnrcupsiradvc5840zs, cnrcupsiradvc5860zs, cnrcupsirc3226zs, cnrcupslbp12382zs,
 cnrcupslbp1538czs, cnrcupslbp236zs, cnrcupslbp237zs, cnrcupslbp632czs, cnrcupslbp633czs, cnrcupsmf12382zs, cnrcupsmf1538czs, cnrcupsmf1643izs, cnrcupsmf450zs, cnrcupsmf650czs
Conflicts: cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs,
 cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs,
 cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs, cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs,
 cnrcupslbp323zs, cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs, cnrcupsiprc710zs,
 cnrcupsiradv4725zs, cnrcupsiradv4745zs, cnrcupsiradv6000zs, cnrcupsiradv6755zs, cnrcupsiradv6780zs, cnrcupsiradv8705zs, cnrcupsiradv8786zs, cnrcupsiradvc3725zs, cnrcupsiradvc5735zs,
 cnrcupsiradvc5750zs, cnrcupsiradvc7765zs, cnrcupsiradvc7780zs, cnrcupslbp223zs, cnrcupslbp226zs, cnrcupslbp227zs, cnrcupslbp228zs, cnrcupsiprc170zs, cnrcupsiradv527zs,
 cnrcupsiradv617zs, cnrcupsiradv717zs, cnrcupsiradvc257zs, cnrcupsiradvc477zs, cnrcupslbp1127czs, cnrcupslbp1238zs, cnrcupsmf1127czs, cnrcupsmf1238zs, cnrcupsir1643i2zs,
 cnrcupsiradv6860zs, cnrcupsiradvc3826zs, cnrcupsiradvc3830zs, cnrcupsiradvc3835zs, cnrcupsiradvc568zs, cnrcupsiradvc5840zs, cnrcupsiradvc5860zs, cnrcupsirc3226zs, cnrcupslbp12382zs,
 cnrcupslbp1538czs, cnrcupslbp236zs, cnrcupslbp237zs, cnrcupslbp632czs, cnrcupslbp633czs, cnrcupsmf12382zs, cnrcupsmf1538czs, cnrcupsmf1643izs, cnrcupsmf450zs, cnrcupsmf650czs
Replaces: cnrdrvcups-ufr2-uk, cnrdrvcups-lipslx,
 cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs,
 cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs,
 cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs, cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs,
 cnrcupslbp323zs, cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs, cnrcupsiprc710zs,
 cnrcupsiradv4725zs, cnrcupsiradv4745zs, cnrcupsiradv6000zs, cnrcupsiradv6755zs, cnrcupsiradv6780zs, cnrcupsiradv8705zs, cnrcupsiradv8786zs, cnrcupsiradvc3725zs, cnrcupsiradvc5735zs,
 cnrcupsiradvc5750zs, cnrcupsiradvc7765zs, cnrcupsiradvc7780zs, cnrcupslbp223zs, cnrcupslbp226zs, cnrcupslbp227zs, cnrcupslbp228zs, cnrcupsiprc170zs, cnrcupsiradv527zs,
 cnrcupsiradv617zs, cnrcupsiradv717zs, cnrcupsiradvc257zs, cnrcupsiradvc477zs, cnrcupslbp1127czs, cnrcupslbp1238zs, cnrcupsmf1127czs, cnrcupsmf1238zs, cnrcupsir1643i2zs,
 cnrcupsiradv6860zs, cnrcupsiradvc3826zs, cnrcupsiradvc3830zs, cnrcupsiradvc3835zs, cnrcupsiradvc568zs, cnrcupsiradvc5840zs, cnrcupsiradvc5860zs, cnrcupsirc3226zs, cnrcupslbp12382zs,
