=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



ifeq ($(DEB_HOST_ARCH), amd64)
  _machine_type = "MACHINETYPE=x86_64"
  _cflags = "CFLAGS=-m64 -march=x86-64"
  _libsarch = libs64/intel
  b_lib_dir = lib/libs64/intel
else ifeq ($(DEB_HOST_ARCH), i386)
  _machine_type = "MACHINETYPE=i686"
  _cflags = "CFLAGS=-m32 -march=i686"
  _libsarch = libs32/intel
  b_lib_dir = lib/libs32/intel
else ifeq ($(DEB_HOST_ARCH), arm64)
  _cflags = "CFLAGS=-fsigned-char"
  _libsarch = libs64/arm
  b_lib_dir = lib/libs64/arm
  ifneq ($(DEB_HOST_ARCH), $(DEB_BUILD_ARCH))
    conf_option = "--host=aarch64-linux-gnu"
  endif
else ifeq ($(DEB_HOST_ARCH), mips64el)
  _libsarch = libs64/mips
  b_lib_dir = lib/libs64/mips
  ifneq ($(DEB_HOST_ARCH), $(DEB_BUILD_ARCH))
    conf_option = "--host=mips64el-linux-gnuabi64"
  endif
else ifeq ($(DEB_HOST_ARCH), loongarch64)
  _libsarch = libs64/loongarch
  b_lib_dir = lib/libs64/loongarch
  ifneq ($(DEB_HOST_ARCH), $(DEB_BUILD_ARCH))
    conf_option = "--host=loongarch64-linux-gnu"
  endif
endif

common_dir = cnrdrvcups-common-$(VERSION)
driver_dir = cnrdrvcups-lb-$(VERSION)
utility_dir = cnrdrvcups-utility-$(VERSION)
#b_lib_dir = $(_builddir)/lib
b_data_dir = lib/data
b_include_dir = $(_builddir)/include
_prefix = /usr
_libdir = /usr/lib
_bindir = /usr/bin
VERSION = 5.80

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	if [ -z $(nobuild) ] ; then \
		pwd; \
	fi
	
	if [ -z $(nobuild) ] ; then \
		cd $(common_dir); \
		(cd buftool && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) --enable-progpath=$(_bindir) --disable-shared --enable-static $(conf_option)); \
		(cd cngplp && ./autogen.sh  $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) COMMON_SUFFIX=2 $(conf_option)); \
		(cd backend && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) MODULE_SUFFIX=ufr2 $(conf_option)); \
		(cd rasterfilter && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) $(conf_option)); \
		(cd cnjbig && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) $(conf_option)); \
		cd .. ;\
		cd $(driver_dir) ;\
		(cd cpca && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir)  --enable-progpath=$(_bindir) $(conf_option)); \
		(cd cngplp && ./autogen.sh $(_machine_type) $(_cflags)  --prefix=$(_prefix) --libdir=$(_libdir) $(conf_option)); \
		(cd cngplp/files && ./autogen.sh $(_machine_type) $(_cflags) $(conf_option)); \
		(cd pdftocpca && ./autogen.sh $(_machine_type) $(_cflags) --libdir=$(_libdir) $(conf_option)); \
		cd .. ;\
	fi
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	if [ -z $(nobuild) ] ; then \
		cd $(common_dir); \
		cd buftool && $(MAKE); \
		cd .. ; \
		cp buftool/libbuftool.a ../$(b_lib_dir)/ ;\
		cp buftool/libbuftool.a ../lib/ ;\
		cp buftool/buftool.h ../$(b_include_dir)/ ;\
		cp buftool/buflist.h ../$(b_include_dir)/ ;\
		for d in cngplp backend rasterfilter cnjbig; do \
			(cd $$d && $(MAKE)); \
		done; \
		cd .. ;\
		cd $(driver_dir) ;\
		$(MAKE) ;\
		cd .. ;\
	fi
	#$(MAKE)
	#docbook-to-man debian/cnrdrvcups-lb.sgml > cnrdrvcups-lb.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	
	#from common
	-for d in buftool cngplp backend rasterfilter cnjbig ; do \
		(cd $(common_dir)/$$d && $(MAKE) distclean); \
	done
		
	# from driver
	-for d in cpca cngplp pdftocpca; do \
		(cd $(driver_dir)/$$d && $(MAKE) distclean); \
	done
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	####### lipslx
	dh_install -s

	#from common
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/backend
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter
	
	if [ -z $(nobuild) ] ; then \
		install -c -m 755 $(common_dir)/rasterfilter/rastertoufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(driver_dir)/pdftocpca/pdftocpca	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(common_dir)/cngplp/cnjatool/cnjatool2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(common_dir)/cngplp/src/cngplp2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(common_dir)/backend/cnusbufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/backend/; \
		install -c  $(driver_dir)/cngplp/.libs/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so.1; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so; \
		install -c $(common_dir)/cnjbig/cnjbigufr2 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
	else \
		install -c -m 755 $(b_lib_dir)/rastertoufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(b_lib_dir)/pdftocpca	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(b_lib_dir)/cnjatool2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(b_lib_dir)/cngplp2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(b_lib_dir)/cnusbufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/backend/; \
		install -c  $(b_lib_dir)/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so.1; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so; \
		install -c $(b_lib_dir)/cnjbigufr2 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
	fi
	
	install -c -m 755 $(b_lib_dir)/libcaiowrapufr2.so.1.0.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib
	install -c -m 755 $(b_lib_dir)/libcaepcmufr2.so.1.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib

	install -c -m 755 $(b_lib_dir)/libColorGearCufr2.so.2.0.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib

	install -c -m 755 $(b_lib_dir)/libcanon_slimufr2.so.1.0.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib
	
	ln -sf /usr/lib/libcaepcmufr2.so.1.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaepcmufr2.so.1
	ln -sf /usr/lib/libcaepcmufr2.so.1.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaepcmufr2.so
	ln -sf /usr/lib/libcaiowrapufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaiowrapufr2.so.1
	ln -sf /usr/lib/libcaiowrapufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaiowrapufr2.so
	ln -sf /usr/lib/libcanon_slimufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcanon_slimufr2.so.1
	ln -sf /usr/lib/libcanon_slimufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcanon_slimufr2.so

	ln -sf /usr/lib/libColorGearCufr2.so.2.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libColorGearCufr2.so.2
	ln -sf /usr/lib/libColorGearCufr2.so.2.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libColorGearCufr2.so
	
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/share/cups/usb
	install -c -m 644 $(common_dir)/Rule/canon-laser-printer.usb-quirks    $(CURDIR)/debian/cnrdrvcups-lipslx/usr/share/cups/usb/canon-laser-printer_ufr2.usb-quirks

	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/share/caepcm/ufr2/
